<ul class="weekdays">
    <li>Пнд</li>
    <li>Вт</li>
    <li>Срд</li>
    <li>Чт</li>
    <li>Птн</li>
    <li>Сб</li>
    <li>Вс</li>
</ul>

<ul class="days">
    <li *ngFor="let prog of daysToSkip(progresses)">
        <span></span>
    </li>

    <li *ngFor="let prog of progresses">
        <div (click)="selectDate(prog)"
             style="padding: 0"
             [ngClass]="{'active': prog.date === selectedProgressDay.date,'font-weight-bold': prog.date === nowString}">
            <ul style="padding: 0">
                <li style="margin: 0" *ngFor="let color of fetchColorCategoriesFromTaskIds(prog.categoryIds)">
                    <span class="dot" [ngStyle]="{'background-color' : color}" *ngIf="prog.categoryIds.length > 0"></span>
                </li>
            </ul>
            <label [ngStyle]="{'color' : prog.color}">
                <!--  {{dateOnlyDayNumber(prog.date)}} {{prog.percent | number: '1.0-0'}}%-->
                {{dateOnlyDayNumber(prog)}}
            </label>

        </div>


    </li>
</ul>

<button class="btn btn-secondary-outline" type="button" style="width: 100%; margin-top: 10px" (click)="showColorCard()">
    {{isShownDisplayCard != true ? 'Показать раскраску' : 'Скрыть раскраску'}}
</button>


<div class="card" style="margin-top: 15px" *ngIf="isShownDisplayCard">
    <div class="card-header bordered">
        <div class="header-block">
            <h3 class="title">Раскрасить задачи</h3>
        </div>
    </div>
    <div class="card-block">

        <div class="form-group">

            <label class="control-label" for="e-select-category-parent">Категория:</label>
            <select
                    id="e-select-category-parent"
                    class="form-control"
                    name="parentSelector"
                    (change)="onParentSelect($event)">
                <option
                        *ngFor="let c of parentCategories; index as i"
                        [value]="i"
                >{{c.parent !== null ? c.parent.name + ': ' : ''}}{{c.name}}
                </option>
            </select>

            <div class="form-group" style="margin-top: 15px">
                <label class="control-label" for="colorSelector">Цвета </label>
                <select id="colorSelector" class="form-control" name="colorSelector" (change)="onSelectedColor($event)">
                    <option *ngFor="let color of colors"
                            [ngStyle]="{'background-color' : color}"
                            [value]="color"
                    >{{color}}</option>
                </select>
            </div>

        </div>

        <button
                type="submit"
                class="btn btn-primary "
                (click)="addSelectedColor()"
        > Добавить
        </button>

        <hr *ngIf="storedEventColors.length > 0"/>
        <div class="header-block" *ngIf="storedEventColors.length > 0">
            <h3 class="title">Выбраны цвета:</h3>
        </div>
        <div style="margin-top: 20px">
            <div *ngFor="let eventColor of storedEventColors" style="margin-top: 10px;"
                 [ngStyle]="{'color' : eventColor.value}">
                <label style="margin-top: 10px">{{eventColor.object.name}}</label>
                <button
                        (click)="removeEventColor(eventColor)"
                        class="btn btn-warning pull-right"
                > Удалить
                </button>
            </div>

        </div>

    </div>
</div>
